## org.apache.bcel.util
Class ClassPath.ClassFile

    java.lang.Object
      |
      +--org.apache.bcel.util.ClassPath.ClassFile

Enclosing class:
  ClassPath

public abstract static class ClassPath.ClassFile
extends java.lang.Object

Contains information about file/ZIP entry of the Java class.

Constructor Summary
`ClassPath.ClassFile()`

Method Summary
`abstract java.io.InputStream` `getInputStream()`
`abstract java.lang.String` `getPath()`
`abstract long` `getSize()`
`abstract long` `getTime()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassPath.ClassFile

    public ClassPath.ClassFile()

Method Detail

### getInputStream

    public abstract java.io.InputStream getInputStream()
                                                throws java.io.IOException

  Returns:
    input stream for class file.

### getPath

    public abstract java.lang.String getPath()

  Returns:
    canonical path to class file.

### getTime

    public abstract long getTime()

  Returns:
    modification time of class file.

### getSize

    public abstract long getSize()

  Returns:
    size of class file.